package com.steering.mes.zgmil.entity;

public class MilSizingRackEntity1 {
	/**
     * 材料号
     */
    private String matNo;
    /**
     * 生产批号
     */
    private String lotNo;
    /**
     * 熔炼炉号
     */
    private String stoveNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 钢级代码
     */
    private String steelcode;
    /**
     * 钢级名称
     */
    private String steelname;
    /**
     * 钢种代码
     */
    private String gradecode;
    /**
     * 钢种名称
     */
    private String gradename;
    /**
     * 厂线代码
     */
    private String plineCode;
    /**
     * 状态（0-正常轧制，1-剔除）
     */
    private String status;
    /**
     * 定径开始时间
     */
    private String startSizingTime;
    /**
     * 定径结束时间
     */
    private String endSizingTime;
    /**
     * 定径开始温度
     */
    private String startSizingTemp;
    /**
     * 定径结束温度
     */
    private String endSizingTemp;
    /**
     * 荒管外径
     */
    private String pipeDiameter;
    /**
     * 荒管壁厚
     */
    private String pipeThickness;
    /**
     * 荒管长度
     */
    private String pipeLength;
    /**
     * 终轧温度
     */
    private String finishRollTemp;
    /**
     * 上冷床时间
     */
    private String cbedTime;
    /**
     * 组炉标识(0-未组炉 1-组炉)
     */
    private String groupFlag;
    /**
     * 组炉前炉号
     */
    private String beforeHeatNo;
    /**
     * 组炉前物料号
     */
    private String beforeMatNo;
    /**
     * 备注
     */
    private String remark;
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode;
    /**
     * 采集/录入时间
     */
    private String colTime;
    /**
     * 操作人
     */
    private String colUser;
    /**
     * 操作班次
     */
    private String colShift;
    /**
     * 操作班组
     */
    private String colGroup;
    /**
     * 序号
     */
    private String seq;
    /**
     * 剔除时间
     */
    private String scrapTime;
    /**
     * 实绩编号
     */
    private String resultNo;
    /**
     * 交班标识 （0-正常 1-交班点）
     */
    private String changeFlag;
    /**
     * 剔除原因(0-正常轧制，1-定径前剔除 2-定径后剔除)
     */
    private String scrapLoc;
    /**
     * 轧管订单编号
     */
    private String proPlanId;
    
    /**
     * 工序排产序号
     */
    private String gxPlanNo;


    public MilSizingRackEntity1(){
    	proPlanId = "";
		gxPlanNo = "";
        matNo = "";
        lotNo = "";
        stoveNo = "";
        judgeStoveNo = "";
        steelcode = "";
        steelname = "";
        gradecode = "";
        gradename = "";
        plineCode = "";
        status = "";
        startSizingTime = "";
        endSizingTime = "";
        startSizingTemp = "";
        endSizingTemp = "";
        pipeDiameter = "";
        pipeThickness = "";
        pipeLength = "";
        finishRollTemp = "";
        cbedTime = "";
        groupFlag = "";
        beforeHeatNo = "";
        beforeMatNo = "";
        remark = "";
        colMode = "";
        colTime = "";
        colUser = "";
        colShift = "";
        colGroup = "";
        seq = "";
        scrapTime = "";
        resultNo = "";
        changeFlag = "";
        scrapLoc = "";
    }

    /**
     * 材料号
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 钢级代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 状态（0-正常轧制，1-剔除）
     * @return value
     */
    public String getStatus() {
        return status;
    }

    /**
     * 状态（0-正常轧制，1-剔除）
     * @param status value
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 定径开始时间
     * @return value
     */
    public String getStartSizingTime() {
        return startSizingTime;
    }

    /**
     * 定径开始时间
     * @param startSizingTime value
     */
    public void setStartSizingTime(String startSizingTime) {
        this.startSizingTime = startSizingTime;
    }

    /**
     * 定径结束时间
     * @return value
     */
    public String getEndSizingTime() {
        return endSizingTime;
    }

    /**
     * 定径结束时间
     * @param endSizingTime value
     */
    public void setEndSizingTime(String endSizingTime) {
        this.endSizingTime = endSizingTime;
    }

    /**
     * 定径开始温度
     * @return value
     */
    public String getStartSizingTemp() {
        return startSizingTemp;
    }

    /**
     * 定径开始温度
     * @param startSizingTemp value
     */
    public void setStartSizingTemp(String startSizingTemp) {
        this.startSizingTemp = startSizingTemp;
    }

    /**
     * 定径结束温度
     * @return value
     */
    public String getEndSizingTemp() {
        return endSizingTemp;
    }

    /**
     * 定径结束温度
     * @param endSizingTemp value
     */
    public void setEndSizingTemp(String endSizingTemp) {
        this.endSizingTemp = endSizingTemp;
    }

    /**
     * 荒管外径
     * @return value
     */
    public String getPipeDiameter() {
        return pipeDiameter;
    }

    /**
     * 荒管外径
     * @param pipeDiameter value
     */
    public void setPipeDiameter(String pipeDiameter) {
        this.pipeDiameter = pipeDiameter;
    }

    /**
     * 荒管壁厚
     * @return value
     */
    public String getPipeThickness() {
        return pipeThickness;
    }

    /**
     * 荒管壁厚
     * @param pipeThickness value
     */
    public void setPipeThickness(String pipeThickness) {
        this.pipeThickness = pipeThickness;
    }

    /**
     * 荒管长度
     * @return value
     */
    public String getPipeLength() {
        return pipeLength;
    }

    /**
     * 荒管长度
     * @param pipeLength value
     */
    public void setPipeLength(String pipeLength) {
        this.pipeLength = pipeLength;
    }

    /**
     * 终轧温度
     * @return value
     */
    public String getFinishRollTemp() {
        return finishRollTemp;
    }

    /**
     * 终轧温度
     * @param finishRollTemp value
     */
    public void setFinishRollTemp(String finishRollTemp) {
        this.finishRollTemp = finishRollTemp;
    }

    /**
     * 上冷床时间
     * @return value
     */
    public String getCbedTime() {
        return cbedTime;
    }

    /**
     * 上冷床时间
     * @param cbedTime value
     */
    public void setCbedTime(String cbedTime) {
        this.cbedTime = cbedTime;
    }

    /**
     * 组炉标识(0-未组炉 1-组炉)
     * @return value
     */
    public String getGroupFlag() {
        return groupFlag;
    }

    /**
     * 组炉标识(0-未组炉 1-组炉)
     * @param groupFlag value
     */
    public void setGroupFlag(String groupFlag) {
        this.groupFlag = groupFlag;
    }

    /**
     * 组炉前炉号
     * @return value
     */
    public String getBeforeHeatNo() {
        return beforeHeatNo;
    }

    /**
     * 组炉前炉号
     * @param beforeHeatNo value
     */
    public void setBeforeHeatNo(String beforeHeatNo) {
        this.beforeHeatNo = beforeHeatNo;
    }

    /**
     * 组炉前物料号
     * @return value
     */
    public String getBeforeMatNo() {
        return beforeMatNo;
    }

    /**
     * 组炉前物料号
     * @param beforeMatNo value
     */
    public void setBeforeMatNo(String beforeMatNo) {
        this.beforeMatNo = beforeMatNo;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 序号
     * @return value
     */
    public String getSeq() {
        return seq;
    }

    /**
     * 序号
     * @param seq value
     */
    public void setSeq(String seq) {
        this.seq = seq;
    }

    /**
     * 剔除时间
     * @return value
     */
    public String getScrapTime() {
        return scrapTime;
    }

    /**
     * 剔除时间
     * @param scrapTime value
     */
    public void setScrapTime(String scrapTime) {
        this.scrapTime = scrapTime;
    }

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 交班标识 （0-正常 1-交班点）
     * @return value
     */
    public String getChangeFlag() {
        return changeFlag;
    }

    /**
     * 交班标识 （0-正常 1-交班点）
     * @param changeFlag value
     */
    public void setChangeFlag(String changeFlag) {
        this.changeFlag = changeFlag;
    }

    /**
     * 剔除原因(0-正常轧制，1-定径前剔除 2-定径后剔除)
     * @return value
     */
    public String getScrapLoc() {
        return scrapLoc;
    }

    /**
     * 剔除原因(0-正常轧制，1-定径前剔除 2-定径后剔除)
     * @param scrapLoc value
     */
    public void setScrapLoc(String scrapLoc) {
        this.scrapLoc = scrapLoc;
    }

	public String getProPlanId() {
		return proPlanId;
	}

	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	public String getGxPlanNo() {
		return gxPlanNo;
	}

	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}
    
}
